You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@brooklyn.apache.org by al...@apache.org on 2016/02/25 16:39:42 UTC

[04/10] brooklyn-docs git commit: Fixed merging error

Fixed merging error


Project: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/repo
Commit: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/commit/247a1b5b
Tree: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/tree/247a1b5b
Diff: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/diff/247a1b5b

Branch: refs/heads/master
Commit: 247a1b5b13ab00b390f4f23d14b68807de557aae
Parents: cbdf51d
Author: Duncan Godwin <du...@cloudsoftcorp.com>
Authored: Tue Feb 2 11:23:09 2016 +0000
Committer: Duncan Godwin <du...@cloudsoftcorp.com>
Committed: Thu Feb 25 14:50:25 2016 +0000

----------------------------------------------------------------------
 _build/build.sh | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/247a1b5b/_build/build.sh
----------------------------------------------------------------------
diff --git a/_build/build.sh b/_build/build.sh
index 1438424..6081145 100755
--- a/_build/build.sh
+++ b/_build/build.sh
@@ -31,7 +31,7 @@ function help() {
   echo "* --skip-javadoc : to skip javadoc build"
   echo "* --quick-javadoc : to do a quick javadoc build (for testing)"
   echo "* --serve : serve files from _site after building (for testing)"
-  echo "* --install : install files from _site to the appropriate place in "'$'"BROOKLYN_SITE_DIR (or ../../incubator-brooklyn-site-public)"
+  echo "* --install : install files from _site to the appropriate place in "'$'"BROOKLYN_SITE_DIR (or ../../brooklyn-site-public)"
   echo "* --skip-htmlproof : skip the HTML Proof run on _site"
   echo "* --quick-htmlproof : do a fast HTML Proof run on _site (not checking external links)"
   echo "* --skip-pdf : skip generation of the PDF Documentation"
@@ -189,6 +189,7 @@ function test_site() {
     return
   fi
   echo "Running htmlproof on _site"
+  mkdir -p _build/target
   HTMLPROOF_LOG="_build/target/htmlproof.log"
   if [ "$QUICK_HTMLPROOF" == "true" ]; then
     HTMLPROOF_OPTS="$HTMLPROOF_OPTS --disable_external"
@@ -268,8 +269,8 @@ function make_install() {
   fi
   if [ ! -z ${QUICK_JAVADOC+SET} ]; then echo "ERROR: --install not permitted when doing quick javadoc" ; return 1 ; fi
 
-  SITE_DIR=${BROOKLYN_SITE_DIR-../../incubator-brooklyn-site-public}
-  ls $SITE_DIR/style/img/apache-brooklyn-logo-244px-wide.png > /dev/null || { echo "ERROR: cannot find incubator-brooklyn-site-public; set BROOKLYN_SITE_DIR" ; return 1 ; }
+  SITE_DIR=${BROOKLYN_SITE_DIR-../../brooklyn-site-public}
+  ls $SITE_DIR/style/img/apache-brooklyn-logo-244px-wide.png > /dev/null || { echo "ERROR: cannot find brooklyn-site-public; set BROOKLYN_SITE_DIR" ; return 1 ; }
   if [ -z ${INSTALL_RSYNC_OPTIONS+SET} ]; then echo "ERROR: --install not supported for this build" ; return 1 ; fi
   if [ -z ${INSTALL_RSYNC_SUBDIR+SET} ]; then echo "ERROR: --install not supported for this build" ; return 1 ; fi